Subject: Re: #1412 Cancel newsgroups: matching

From: "Charles Lindsey" <[email-masked]>
Date: Wed, 14 Feb 2007 11:47:52 GMT

From Frank ELlermann:

>Russ Allbery wrote:
>
>> > To best ensure that it will be relayed to the same news servers
>> > as the original message, a cancel control message SHOULD have the
>> > same Newsgroups header field as the message it is cancelling.
>
>Proposed addition:
>
>| The groups in the Newsgroups header field MUST match at least one
>| of the affected newsgroups.

-1

I think the SHOULD is sufficient (that is what was in Usepro-06), and
is now the same as for the other control messages.

>For Rmgroup and Newgroup we have that anyway, for Checkgroups it's also
>sound, and for a Cancel it's required for transparency. 
>
>All other control messages apparently don't have a Newsgroups header 
>field. If that's the case it has to be mentioned explicitly, USEFOR-11
>claims that this header field is "mandatory".

Not so. All Group Control messages (5.2) now have that SHOULD.
Ihave/Sendme have their own weird provisions.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5